### Method

# Ide SourceView get_file_settings

#### Declaration

    IdeFileSettings*
    ide_source_view_get_file_settings (
      IdeSourceView* self
    )

#### Description

Gets the `IdeSourceView:file-settings` property. This contains various settings for how the file should be rendered in the view, and preferences such as spaces vs tabs.

Available since: | 3.32

Gets property | `Ide.SourceView:file-settings`

#### Return value

Returns: | `IdeFileSettings`
| An `IdeFileSettings` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.